import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);

const api = {
  article: `/api/visit/article`,
};

const state = () => ({});
const mutations = {};
const actions = {
  async query({ commit }, { skip = 0, limit = undefined, ...info } = {}) {
    let res = await this.$axios.$get(`${api.article}`, {
      skip: skip,
      limit: limit,
      ...info,
    });
    return res;
  },
  //修改方法的payload中包含id
  async update({ commit }, payload) {
    let { id } = payload;
    let res = await this.$axios.$post(`${api.article}/update/${id}`, payload);
    return res;
  },
  //下面3个方法的payload为id
  async create({ commit }, payload) {
    let res = await this.$axios.$post(`${api.article}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    let res = await this.$axios.$get(`${api.article}/${payload}`);
    return res;
  },
  async delete({ commit }, payload) {
    let res = await this.$axios.$delete(`${api.article}/${payload}`);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
