import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);

const api = {
  doctor: `/api/visit/doctor`,
};

const state = () => ({});
const mutations = {};
const actions = {
  async query({ commit }, { skip = 0, limit = undefined, ...info } = {}) {
    let res = await this.$axios.$get(`${api.doctor}`, { skip: skip, limit: limit, ...info });
    return res;
  },
  //修改方法的payload中包含id
  async update({ commit }, payload) {
    let { id } = payload;
    let res = await this.$axios.$post(`${api.doctor}/${id}`, payload);
    return res;
  },
  //下面3个方法的payload为id
  async create({ commit }, payload) {
    let res = await this.$axios.$post(`${api.doctor}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    let res = await this.$axios.$get(`${api.doctor}/${payload}`);
    return res;
  },
  async delete({ commit }, payload) {
    let res = await this.$axios.$delete(`${api.doctor}/${payload}`);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
