import Vue from 'vue';
import Vuex from 'vuex';
import doctor from './doctor';
import patient from './patient';
import nurse from './nurse';
import group from './group';
import login from './login';
import weixin from './weixin';
import patientemrs from './patientemrs';
import article from './article';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    doctor,
    patient,
    nurse,
    group,
    patientemrs,
    login,
    weixin,
    article,
  },
  state: {
    user: {},
  },
  mutations: {
    setUser(state, payload) {
      sessionStorage.setItem('user', JSON.stringify(payload));
      state.user = payload;
    },
    getUser(state, payload) {
      state.user = JSON.parse(sessionStorage.getItem('user'));
    },
    logout(state, payload) {
      state.user = {};
      sessionStorage.removeItem('user');
    },
  },
  actions: {},
});
