import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);

const api = {
  nurse: `/api/visit/nurse`,
};

const state = () => ({});
const mutations = {};
const actions = {
  async query({ commit }, { skip = 0, limit = this.$limit, ...info }) {
    let res = await this.$axios.$get(`${api.nurse}`, info);
    return res;
  },
  //修改方法的payload中包含id
  async update({ commit }, payload) {
    let { id } = payload;
    let res = await this.$axios.$post(`${api.nurse}/${id}`, payload);
    return res;
  },
  //下面3个方法的payload为id
  async create({ commit }, payload) {
    let res = await this.$axios.$post(`${api.nurse}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    let res = await this.$axios.$get(`${api.nurse}/${payload}`);
    return res;
  },
  async delete({ commit }, payload) {
    let res = await this.$axios.$delete(`${api.nurse}/${payload}`);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
