import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);

const api = {
  emrs: patientid => `/api/visit/patientemrs/${patientid}/emrs`,
  create: patientid => `/api/visit/patientemrs/${patientid}/create`,
  fetch: (patientid, emrid) => `/api/visit/patientemrs/${patientid}/emrs/fetch/${emrid}`,
  update: (patientid, id) => `/api/visit/patientemrs/${patientid}/update/${id}`,
  delete: (patientid, id) => `/api/visit/patientemrs/${patientid}/destroy/${id}`,
};

const state = () => ({});
const mutations = {};
const actions = {
  async query({ commit }, { skip = 0, limit, id, ...info } = {}) {
    let res = await this.$axios.$get(api.emrs(id), { skip, limit, ...info });
    return res;
  },
  //修改方法的payload中包含id
  async update({ commit }, { patientid, id, ...info }) {
    let res = await this.$axios.$post(api.update(patientid, id), info);
    return res;
  },
  //下面3个方法的payload为id
  async create({ commit }, payload) {
    let { patientid, ...info } = payload;
    let res = await this.$axios.$post(api.create(patientid), info);
    return res;
  },
  async fetch({ commit }, { patientid, id }) {
    let res = await this.$axios.$get(api.fetch(patientid, id));
    return res;
  },
  async delete({ commit }, { patientid, id }) {
    let res = await this.$axios.$delete(api.delete(patientid, id));
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
