const path = require('path');
const common = path.resolve(__dirname, '../frame-template/src');

module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : process.env.VUE_APP_ROUTER,
  outputDir: 'www',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@plugins': path.join(common, '/plugins'),
          '@common': common,
        },
      },
    });
  },
  devServer: {
    port: '8001',
    //api地址前缀
    proxy: {
      '/api': {
        target: 'http://broadcast.waityou24.cn', //http://free.liaoningdoupo.com
        ws: false,
      },
      '/mobile': {
        target: 'http://broadcast.waityou24.cn',
        ws: false,
      },
      '/files': {
        target: 'http://broadcast.waityou24.cn',
      },
    },
  },
};
